Package fr.gouv.vitam.common.database.translators.elasticsearch

# Class SelectToElasticsearch

java.lang.Object
fr.gouv.vitam.common.database.translators.RequestToAbstract
fr.gouv.vitam.common.database.translators.elasticsearch.RequestToElasticsearch
fr.gouv.vitam.common.database.translators.elasticsearch.SelectToElasticsearch

public class SelectToElasticsearch extends RequestToElasticsearch
Select To Elasticsearch

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.translators.RequestToAbstract

  `requestParser`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectToElasticsearch(AbstractParser<?> selectParser)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<co.elastic.clients.elasticsearch._types.SortOptions>`
  `getFinalOrderBy(boolean score, DynamicParserTokens parserTokens)`
  FindIterable.sort(orderby) for Elasticsearch

  ### Methods inherited from class fr.gouv.vitam.common.database.translators.elasticsearch.RequestToElasticsearch

  `getInitialRoots, getNthQueries, getRequest, getRequestToElasticsearch`

  ### Methods inherited from class fr.gouv.vitam.common.database.translators.RequestToAbstract

  `getFinalLimit, getFinalOffset, getHints, getLastDepth, getNbQueries, getNthQuery, getRequest, getRequestParser, getUsage, hasFullTextQuery, hintCache, hintNoTimeout, isMultiple, model`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectToElasticsearch

    public SelectToElasticsearch(AbstractParser<?> selectParser)
    Parameters:
      `selectParser` - AbstractParser of unknown type

- ## Method Details

  - ### getFinalOrderBy

    public List<co.elastic.clients.elasticsearch._types.SortOptions> getFinalOrderBy(boolean score, DynamicParserTokens parserTokens)
    FindIterable.sort(orderby) for Elasticsearch
    Parameters:
      `score` - True to use if necessary score from ES
    Returns:
      the orderBy Elasticsearch command